back to Netrunner | back to Blue Systems

Desaster after update

Hello,

yesterday I made a usual dist-upgrade with my netrunner/bullseye/sid kernel 5.9.0-0.bps5-amd64, kde 5.14.5
Today I started the machine again and almost nothing is working!!! I tried to do “sudo apt-get dist-upgrade” again and was told, that there are hundreds of programs and files which are not used anymore. I didn’t made the autoremove-command!!!

The situation is now so that I can’t work with anything. No network, the kde-programs are not working.

What can I do?

Ciao!

Dieter

Can you show me what it has on the autoremove list.
And what is the output of
sudo apt update && sudo apt dist-upgrade’

Thank you for your reply,

due to the fact that there is no internet-connection possible with this os annymore there is no output for the command sudo apt update && sudo apt dist-upgrade
and the autoremove-list looks like (sorry, you asked for it)

sudo apt autoremove
[sudo] Passwort für pfiff:
Paketlisten werden gelesen… Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen… Fertig
Die folgenden Pakete werden ENTFERNT:
adb akonadi-backend-mysql akonadi-contacts-data akonadi-mime-data akonadi-server android-libadb android-libbacktrace android-libbase
android-libboringssl android-libcrypto-utils android-libcutils android-libetc1 android-libf2fs-utils android-liblog android-libsparse
android-libunwind android-libutils android-libziparchive android-sdk-platform-tools android-sdk-platform-tools-common android-tools-adb
android-tools-fastboot appmenu-gtk-module-common appmenu-gtk2-module appmenu-gtk3-module apt-file ark artwork-audacious
artwork-color-scheme-carbon artwork-grub-theme-netrunner-black artwork-icons-obsidian artwork-lnf-theme-netrunner-black
artwork-lnf-theme-netrunner-desktop artwork-lnf-theme-netrunner-indigo artwork-netrunner-icons artwork-red-modern-cursor
artwork-sddm-simple artwork-sddm-sugar-dark artwork-wallpapers-netrunner-19.01-desktop artwork-whiteclassicia-cursor
artwork-windows-cursor attr audacious audacious-plugins audacious-plugins-data audacity-data aurorae-theme-forman aurorae-theme-indigo
baloo-kf5 blackbird-gtk-theme bluedevil breeze-gtk-theme burgerspace carbon-qt carbon-qt4 cheese cheese-common command-not-found
cracklib-runtime cryptsetup cryptsetup-bin cryptsetup-initramfs cryptsetup-run cups-pk-helper debconf-kde-data default-mysql-client-core
default-mysql-server-core default-settings-applications default-settings-autostart default-settings-e2fsprogs default-settings-kdeapps
default-settings-plasma default-settings-profiled default-settings-pulseaudio default-settings-systemd default-settings-thunderbird
default-settings-xdg-user-dirs default-settings-xsession default-systemsettings-settings desktop-theme-blackx desktop-theme-bluex
desktop-theme-breeze-alphablack dkms dmeventd dmtracedump dmz-cursor-theme dnsmasq-base dnsutils docutils-common docutils-doc dolphin
dvgrab efibootmgr enchant-2 etc1tool fastboot ffmpegthumbnailer filezilla-common fonts-dejavu fonts-roboto frozen-bubble
frozen-bubble-data gdal-data gimp-data gimp-help-common gir1.2-gst-plugins-base-1.0 gir1.2-gstreamer-1.0 gir1.2-keybinder-3.0
gir1.2-notify-0.7 gir1.2-secret-1 gltron gnome-chess gnome-desktop3-data gnome-extra-icons gnome-video-effects gnudoq gnustep-base-common
gnustep-base-runtime gnustep-common gparted-common grub-efi-amd64-bin grub-efi-amd64-signed gstreamer1.0-clutter-3.0 gstreamer1.0-gl
gstreamer1.0-nice gtk2-engines gtk2-engines-murrine gtk2-engines-oxygen gtk2-engines-pixbuf gtk3-nocsd guile-2.2-libs haveged hddtemp
hoichess hprof-conv hyphen-en-us ibverbs-providers ieee-data imagewriter inxi kaccounts-integration kaccounts-providers kamera kate
kate-data kate5-data katepart kbreakout kcalc kcm-about-extended kcm-plasma-services kde-config-gtk-style kde-config-gtk-style-preview
kde-config-mailtransport kde-config-plymouth kde-config-sddm kde-config-systemd kde-spectacle kde-style-oxygen-qt4 kde-style-oxygen-qt5
kde-telepathy-data kde-telepathy-integration-module kde-telepathy-kaccounts kde-telepathy-kpeople kdeconnect kdegames-mahjongg-data-kf5
kdelibs-bin kdelibs5-data kdelibs5-plugins kdenetwork-filesharing kdenlive-data kdepim-runtime kdoctools kgamma5 khotkeys khotkeys-data
kimageformat-plugins kinfocenter kio-ldap kmahjongg kmenuedit kmines krita-data krita-gmic kross kscreen ksnakeduel ksysguard
ksysguard-data kwin-decoration-oxygen kwrited libaccounts-glib0 libaccounts-qt5-1 libaec0 libaio1 libakonadi-kde4 libakonadi-kmime4
libakonadiprotocolinternals1 libalien-sdl-perl libamd2 libappmenu-gtk2-parser0 libappmenu-gtk3-parser0 libapt-pkg-perl libaribb24-0
libarmadillo9 libarpack2 libatkmm-1.6-1v5 libattica0.4 libaudcore5 libaudgui5 libaudtag3 libbabl-0.1-0 libbsh-java libcairomm-1.0-1v5
libcamd2 libcanberra-gtk3-0 libcanberra-gtk3-module libcapture-tiny-perl libccolamd2 libcddb2 libcdr-0.1-1 libcephfs2 libcfitsio8
libcharls2 libcheese-gtk25 libcheese8 libcholmod3 libclass-inspector-perl libclutter-1.0-0 libclutter-1.0-common libclutter-gst-3.0-0
libclutter-gtk-1.0-0 libcogl-common libcogl-pango20 libcogl-path20 libcogl20 libcolamd2 libcompress-bzip2-perl libcrack2 libcue2 libdap25
libdapclient6v5 libdapserver7v5 libdbusmenu-gtk4 libdbusmenu-qt2 libdebconf-kde1 libdevmapper-event1.02.1 libdlrestrictions1
libdolphinvcs5 libdrm-amdgpu1:i386 libdrm-intel1:i386 libdrm-nouveau2:i386 libdrm-radeon1:i386 libdrm2:i386 libdvbpsi10 libebml4v5
libebur128-1 libelf1:i386 libenchant-2-2 libepsilon1 libevent-2.1-7 libevent-core-2.1-6 libevent-pthreads-2.1-6 libexiv2-14
libexpat1:i386 libexporter-tiny-perl libfakekey0 libfarstream-0.2-5 libffi7:i386 libffmpegthumbnailer4v5 libfile-sharedir-perl
libfilezilla0 libflatzebra-0.1-2v5 libfreehand-0.1-1 libfreexl1 libfyba0 libgadu3 libgc1c2 libgdal20 libgdcm2.8 libgegl-0.4-0
libgegl-common libgeos-3.8.0 libgeos-c1v5 libgeotiff2 libgexiv2-2 libgfapi0 libgfrpc0 libgfxdr0 libgimp2.0 libgl1:i386
libgl1-mesa-dri:i386 libgl1-mesa-glx libgl1-mesa-glx:i386 libglade2-0 libglapi-mesa:i386 libglibmm-2.4-1v5 libglusterfs0 libglvnd0:i386
libglx-mesa0:i386 libglx0:i386 libgmic1 libgnome-desktop-3-18 libgnustep-base1.26 libgpg-error0:i386 libgrantlee-textdocument5
libgraphene-1.0-0 libgraphicsmagick+±q16-12 libgraphicsmagick-q16-3 libgsasl7 libgsl23 libgslcblas0 libgsoap-2.8.60 libgstreamer-gl1.0-0
libgtk3-nocsd0 libgtkmm-3.0-1v5 libgtkspell0 libhavege2 libhdf4-0-alt libhdf5-103 libhtmlcxx3v5 libibverbs1 libid3tag0 libigdgmm11
libimage-magick-perl libimage-magick-q16-perl libimagequant0 libindicator7 libiptcdata0 libixml10 libjavascriptcoregtk-4.0-18 libjson-c4
libkaccounts1 libkatepartinterfaces4 libkcmutils4 libkde3support4 libkdecore5 libkdeui5 libkdewebkit5 libkemoticons4 libkeybinder-3.0-0
libkf5activitiesstats1 libkf5akonadi-data libkf5akonadiagentbase5 libkf5akonadicalendar-data libkf5akonadicalendar5abi1
libkf5akonadicontact5 libkf5akonadicore5abi2 libkf5akonadimime5 libkf5akonadinotes5 libkf5akonadiprivate5abi2 libkf5akonadiwidgets5abi1
libkf5alarmcalendar-data libkf5alarmcalendar5abi1 libkf5baloowidgets-bin libkf5baloowidgets5 libkf5calendarcore5abi2 libkf5calendarutils5
libkf5contacteditor5 libkf5contacts-data libkf5contacts5 libkf5emoticons-bin libkf5emoticons-data libkf5emoticons5
libkf5identitymanagement5 libkf5imap-data libkf5imap5 libkf5kdcraw5 libkf5kdegamesprivate1 libkf5kipi-data libkf5kipi32.0.0
libkf5kmahjongglib5 libkf5krosscore5 libkf5krossui5 libkf5ldap-data libkf5ldap5abi1 libkf5mailtransport-data libkf5mailtransport5
libkf5mailtransportakonadi5 libkf5mbox5 libkf5mime-data libkf5mime5abi1 libkf5modemmanagerqt6 libkf5people-data libkf5people5
libkf5peoplebackend5 libkf5peoplewidgets5 libkf5pimtextedit-data libkf5pimtextedit-plugins libkf5pimtextedit5abi2 libkf5purpose-bin
libkf5purpose5 libkf5sane-data libkf5sane5 libkf5sysguard-bin libkf5unitconversion-data libkf5unitconversion5 libkfile4 libkhtml5 libkio5
libkjsapi4 libkjsembed4 libkmime4 libkmlbase1 libkmlconvenience1 libkmldom1 libkmlengine1 libkmlregionator1 libkmlxsd1 libknewstuff3-4
libkntlm4 libkolabxml1v5 libkparts4 libkpimgapi-data libkpimgapicalendar5 libkpimgapicontacts5 libkpimgapicore5abi1 libkpimgapitasks5
libkpimkdav-data libkpimkdav5abi2 libkpimsmtp5abi1 libkpmcore8 libkpty4 libkrosscore4 libksignalplotter7 libktexteditor4
libktpcommoninternals9 libktplogger9 libktpmodels9 libktpwidgets9 libkyotocabinet16v5 liblensfun-data-v1 liblensfun1
liblist-moreutils-perl libllvm9:i386 liblua5.2-0 liblvm2cmd2.03 liblzo2-2 libmagick+±6.q16-8 libmailtransport4 libmailutils6
libmatroska6v5 libmeanwhile1 libmetis5 libmikmod3 libminiupnpc17 libmission-control-plugins0 libmlt-data libmovit8 libmspub-0.1-1
libmypaint-1.3-0 libmypaint-common libnatpmp1 libndp0 libnetcdf13 libntlm0 libobjc4 libodbc1 libogdi3.2 libopencolorio1v5 libopenconnect5
libopencv-core3.2 libopencv-imgcodecs3.2 libopencv-imgproc3.2 libopencv-videoio3.2 libopenmpt-modplug1 liboxygenstyle5-5
liboxygenstyleconfig5-5 libpagemaker-0.0-0 libpangomm-1.4-1v5 libpciaccess0:i386 libphonon4 libplacebo7 libplymouth4 libpolkit-qt-1-1
libpoppler-glib8 libportsmf0 libpotrace0 libproj13 libproj15 libprotobuf-lite17 libproxy-tools libpugixml1v5 libpurple-bin libpurple0
libpwquality-common libpwquality1 libpython3.8-minimal libpython3.8-stdlib libqapt3 libqapt3-runtime libqhull7 libqjson0 libqt4-designer
libqt4-network libqt4-opengl libqt4-qt3support libqt4-script libqt4-sql libqt4-sql-mysql libqt4-xmlpatterns libqt5concurrent5
libqt5networkauth5 libqt5webengine-data libqt5webengine5 libqt5webenginecore5 libqt5webenginewidgets5 libqt5websockets5
libqt5xmlpatterns5 libqtwebkit4 libquazip5-1 libquicktime2 libqxp-0.0-0 librados2 libraw19 librdmacm1 libreadline5
libregexp-assemble-perl libreoffice libreoffice-calc libreoffice-draw libreoffice-help-common libreoffice-help-en-us libreoffice-impress
libreoffice-kde5 libreoffice-kf5 libreoffice-librelogo libreoffice-nlpsolver libreoffice-plasma libreoffice-qt5
libreoffice-script-provider-bsh libreoffice-script-provider-js libreoffice-script-provider-python libreoffice-wiki-publisher
libresid-builder0c2a librtaudio6 librttr-core0.9.6 libsasl2-modules-kdexoauth2 libscim8v5 libsdl-gfx1.2-5 libsdl-image1.2 libsdl-mixer1.2
libsdl-pango1 libsdl-perl libsdl-sound1.2 libsdl-ttf2.0-0 libsensors5:i386 libsidplay2 libsidplayfp4 libsigc+±2.0-0v5
libsignon-extension1 libsignon-glib1 libsignon-plugins-common1 libsignon-qt5-1 libsocket++1 libsolid4 libsox-fmt-alsa libsox-fmt-base
libsox3 libspatialaudio0 libspatialite7 libstoken1 libsuil-0-0 libsuitesparseconfig5 libsuperlu5 libsz2 libtbb2 libteamdctl0
libtelepathy-glib0 libtelepathy-logger-qt5 libtelepathy-logger3 libtelepathy-qt5-0 libtie-simple-perl libtiff-tools libtinyxml2.6.2v5
libtirpc-common libtirpc3 libtomcrypt1 libtss2-esys0 libudev1:i386 libumfpack5 libupnp13 liburiparser1 libva-wayland2 libvamp-hostsdk3v5
libvisio-0.1-1 libvlc-bin libvlc5 libvlccore9 libvncclient1 libvncserver1 libvulkan1:i386 libwayland-client0:i386 libwebkit2gtk-4.0-37
libwxbase3.0-0v5 libx11-xcb1:i386 libx86emu2 libxcb-dri2-0:i386 libxcb-dri3-0:i386 libxcb-glx0:i386 libxcb-present0:i386
libxcb-randr0:i386 libxcb-record0 libxcb-sync1:i386 libxcb-xv0 libxcursor1:i386 libxdamage1:i386 libxerces-c3.2 libxfixes3:i386
libxinerama1:i386 libxrender1:i386 libxshmfence1:i386 libxss1:i386 libxxf86vm1:i386 libyaml-cpp0.6 libyelp0 libz3-4:i386 libzephyr4
libzmf-0.0-0 linux-headers-amd64 lnf-theme-bluex lp-solve lvm2 mailutils-common mariadb-client-core-10.3 mariadb-server-core-10.3
mesa-vulkan-drivers:i386 mint-common mintupdate mobile-broadband-provider-info mokutil mozilla-kde-support mpv mythes-en-us
netrunner-artwork netrunner-default-settings netrunner-desktop-settings netrunner-desktop-settings-desktop netrunner-settings-autostart
netrunner-settings-firefox netrunner-settings-grub netrunner-settings-kcmabout netrunner-settings-python-apt netrunner-settings-sddm
netrunner-settings-theming node-normalize.css novnc ocs-url odbcinst odbcinst1debian2 oxygen-icon-theme oxygen-sounds p7zip p7zip-full
partitionmanager pepperflashplugin-nonfree phantomjs pidgin pidgin-data plasma-browser-integration plasma-dataengines-addons
plasma-desktop-data plasma-runners-addons plasma-widget-volumewin7mixer plasma-widgets-addons plymouth plymouth-label
plymouth-theme-netrunner-classic plymouth-themes polkit-kde-agent-1 print-manager proj-bin proj-data python-apt python-babel-localedata
python-backports.functools-lru-cache python-bs4 python-cairo python-configobj python-dbus python-docutils python-gi python-glade2
python-gobject-2 python-gst-1.0 python-gtk2 python-html5lib python-numpy python-olefile python-qt4-dbus python-roman python-six
python-soupsieve python-webencodings python-xdg python3-babel python3-cairo python3-certifi python3-cups python3-cupshelpers
python3-dateutil python3-debtcollector python3-distro python3-docutils python3-funcsigs python3-idna python3-iso8601 python3-msgpack
python3-netaddr python3-novnc python3-numpy python3-olefile python3-oslo.config python3-oslo.context python3-oslo.i18n python3-oslo.log
python3-oslo.serialization python3-oslo.utils python3-pbr python3-pil python3-pyxattr python3-requests python3-rfc3986 python3-roman
python3-scour python3-smbc python3-stevedore python3-tz python3-urllib3 python3-websockify python3-wrapt python3.8 python3.8-minimal
qapt-deb-installer qml-module-org-kde-activities qml-module-org-kde-bluezqt qml-module-org-kde-games-core qml-module-org-kde-kaccounts
qml-module-org-kde-kcm qml-module-org-kde-kio qml-module-org-kde-purpose qml-module-qt-labs-settings qml-module-qtwebengine
qml-module-qtwebkit qt5-style-kvantum qt5-style-kvantum-l10n qt5-style-kvantum-themes qtgstreamer-plugins-qt5 quota rar rawtherapee-data
rtmpdump samba samba-mounter samba-vfs-modules sddm shim-helpers-amd64-signed shim-signed shim-signed-common shim-unsigned
signon-kwallet-extension signon-plugin-oauth2 signon-plugin-password signon-ui-service signon-ui-x11 signond simplemenu smplayer
smplayer-l10n smplayer-themes sni-qt sqlite3 sshfs steam:i386 steam-devices swh-plugins system-config-printer-common
system-config-printer-udev systemsettings tdb-tools telepathy-accounts-signon thin-provisioning-tools tpm-udev transmission-common
transmission-qt tree unar usb.ids usbutils user-manager virtualbox-dkms vlc-bin vlc-data vlc-l10n vlc-plugin-notify vlc-plugin-qt
vlc-plugin-samba vlc-plugin-video-output vlc-plugin-video-splitter vlc-plugin-visualization vokoscreen web-menu-entries
webext-ublock-origin webext-ublock-origin-chromium webext-ublock-origin-firefox websockify x11-apps x11-session-utils x11vnc
xdg-dbus-proxy xdg-desktop-portal-kde xinit xorg yakuake yarock yelp yelp-xsl youtube-dl zenity zenity-common
0 aktualisiert, 0 neu installiert, 820 zu entfernen und 4 nicht aktualisiert.
Nach dieser Operation werden 2.595 MB Plattenplatz freigegeben.
Möchten Sie fortfahren? [J/n]

But, as i told before, the most apps and programs are not working anymore.

In the moment I’m working with a very old os. It’s extremly urgent to go back to my OS.

Thank you in advance!

Dieter

You need to get it connected to the internet somehow and try installing the netrunner-desktop package that hopefully will pull in everything you need. I am not sure what happened on your last upgrade.
As you said you upgraded via terminal it should usually show which packages will be installed, upgraded and removed.

thanks for the quick reply,

any idea how to connect the system to the internet again?

And I didn’t updated via terminal. I updated via discover and, as usual, I didn’t paid attention what discover has been doing. Shame on me …

Can you plug in a ethernet cable if wifi is not working?
Also if the network-manager is not starting or connecting to anything you can run the non graphical version of it with the nmtui command. If the network-manager package was not removed that is the best way to get your internet going again.

Hi and thanks for the reply. I’m the network-manager package was removed as well. I tried to connect via nmtui command without any result.
So, I decided to go the long way and installed netrunner again.
Ciao!

Dieter

Hi Pfiff, did you enable sid repos? I just wonder why suddenly so many files were displayed as no longer needed. This would be good to know to think about preventing any future similar situations. Since we use almost all default of debian, it would be one of our packages conflicting in sid, but then sid is potentially possible to hit those dangerous regressions, even in testing sometimes. If you stayed always on stable, it is very weird that this happened.

Sorry, but I don’t know it exactly anymore. But for sure I changed repos and what I know for sure as well I changed the kernel due to some problems.
And with the new installaition of netrunnner I deleted the partition so it’s gone …

Sorry again.

Ciao!

Dieter